## section-exif

section-exif

## Functions

void | flickcurl_free_exif ()
void | flickcurl_free_exifs ()

## Types and Values

| flickcurl_exif

## Description

## Functions

### flickcurl_free_exif ()

    void
    flickcurl_free_exif (flickcurl_exif *exif);

Destructor for exif object

#### Parameters

exif | exif object |

### flickcurl_free_exifs ()

    void
    flickcurl_free_exifs (flickcurl_exif **exifs_object);

Destructor for array of exif objects

#### Parameters

exifs_object | array of exif objects |

## Types and Values

### flickcurl_exif

    typedef struct {
      char* tagspace;
      int tagspaceid;
      int tag;
      char* label;
      char* raw;
      char* clean;
    } flickcurl_exif;

An EXIF tag.

#### Members

char *`tagspace`; | Tagspace name |
int `tagspaceid`; | ID of tagspace |
int `tag`; | tag ID |
char *`label`; | tag label |
char *`raw`; | raw tag name |
char *`clean`; | pretty-formatted tag name |